Returns the internal state of the engine

- « Random\Engine\PcgOneseq128XslRr64::__construct

- Random\Engine\PcgOneseq128XslRr64::generate »

- PHP Manual
- Random\Engine\PcgOneseq128XslRr64
- Returns the internal state of the engine

# Random\Engine\PcgOneseq128XslRr64::__debugInfo

(PHP 8 >= 8.2.0)

Random\Engine\PcgOneseq128XslRr64::__debugInfo — Returns the internal state of the engine

### Description

public Random\Engine\PcgOneseq128XslRr64::__debugInfo(): array

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

### Examples

Example #1 Random\Engine\PcgOneseq128XslRr64::__debugInfo() example

    <?php/* ... */?>

The above example will output something similar to:

    ...